Skip to main content
GET
/
v2
/
card
/
{id}
Get detailed information about card
curl --request GET \
  --url https://api.sandbox.finsei.com/v2/card/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "walletId": "<string>",
  "type": "ChipAndPin",
  "maskedPan": "474359******5050",
  "status": "PROCESS",
  "validUntilDate": "<string>",
  "cardholderName": "<string>",
  "notification": {
    "type": "ERROR",
    "title": "<string>",
    "message": "<string>"
  },
  "orderInfo": {
    "title": "<string>",
    "message": "<string>",
    "orderedAt": 123,
    "dispatchedAt": 123,
    "delivery": {}
  },
  "permissions": {
    "canActivate": true,
    "canBlock": true,
    "canUnblock": true,
    "canGetPin": true,
    "canSetPin": true,
    "canGetCvv": true,
    "canGetPassword": true,
    "canSetPassword": true,
    "canGetPan": true,
    "canClose": true,
    "canSetSmsBalanceNotification": true,
    "canGetLimits": true,
    "canSetLimits": true,
    "canGetOperations": true,
    "canSetOperations": true
  },
  "updatedAt": 1666666666,
  "isSmsBalanceNotification": false,
  "designId": "AIV",
  "version": 1
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Card id for detalization

Response

OK

id
string

Unique Card id (UUID string)

walletId
string

Wallet UUID

type
enum<string>
Available options:
ChipAndPin,
Virtual,
Disposable
maskedPan
string

Masked Card Number

Example:

"474359******5050"

status
enum<string>

Card status

Available options:
PROCESS,
ORDERED,
DISPATCHED,
ACTIVE,
BLOCKED,
CLOSED
validUntilDate
string
cardholderName
string

Cardholder name

notification
object
orderInfo
object
permissions
object

List of true\false permissions

updatedAt
integer

Updated timestamp in seconds

Example:

1666666666

isSmsBalanceNotification
boolean

Is Payment Balance Sms Notification Enabled

Example:

false

designId
string

Design Id code

Example:

"AIV"

version
integer

The latest version of the update

Example:

1